import java.awt.*;

public class DrawingTank extends DrawingArmoredCar{
    public DrawingTank(int speed, float weight, Color bodyColor, Color dopColor,
                       boolean towerWeapon, boolean AMachineGun) {
        super(speed, weight, bodyColor, 80, 60);
        armoredCar = new EntityTank(speed, weight, bodyColor, dopColor, towerWeapon, AMachineGun);
    }
    @Override
    public void DrawTransport(Graphics2D g) {
        if (!(armoredCar instanceof EntityTank tank)) {
            return;
        }

        if (tank.isTowerWeapon()) {
            g.setColor(tank.getDopColor());
            g.fillRect((int)startPosX + 40, (int)startPosY, 5, 20);
            g.fillRect((int)startPosX + 40, (int)startPosY, 40, 5);
            g.fillOval((int)startPosX + 27, (int)startPosY + 7, 30, 10);
        }
        if (tank.isAMachineGun()) {
            g.setColor(tank.getDopColor());
            g.fillRect((int)startPosX + 60, (int)startPosY + 15, 7, 10);
            g.fillRect((int)startPosX + 60, (int)startPosY + 17, 20, 5);
        }
        startPosY += 5;
        super.DrawTransport(g);
        startPosY -= 5;
    }
}
